Bug 1411713 - [abrt] PackageKit: repodata_add_dirnumnum(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: repodata_add_dirnumnum(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:42b1a8ab2dfd0655aab579d185c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 11:20 UTC by Juan Orti
Modified: 2017-12-12 10:09 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:09:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.30 KB, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: core_backtrace (4.87 KB, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: dso_list (8.42 KB, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: environ (143 bytes, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: maps (38.12 KB, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: mountinfo (4.37 KB, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: open_fds (2.14 KB, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details
File: var_log_messages (322 bytes, text/plain)
2017-01-10 11:20 UTC, Juan Orti
no flags Details

Description Juan Orti 2017-01-10 11:20:37 UTC
Description of problem:
$ sudo pkcon refresh force

Version-Release number of selected component:
PackageKit-1.1.5-0.1.20161221.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repodata_add_dirnumnum
executable:     /usr/libexec/packagekitd
global_pid:     1676
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 repodata_add_dirnumnum at /usr/src/debug/libsolv-0.6.24/src/repodata.c:2736
 #5 solvable_copy_cb at /usr/src/debug/libsolv-0.6.24/ext/repo_rpmdb.c:1648
 #6 repodata_search at /usr/src/debug/libsolv-0.6.24/src/repodata.c:1072
 #7 solvable_copy at /usr/src/debug/libsolv-0.6.24/ext/repo_rpmdb.c:1719
 #8 repo_add_rpmdb at /usr/src/debug/libsolv-0.6.24/ext/repo_rpmdb.c:2020
 #9 repo_add_rpmdb_reffp at /usr/src/debug/libsolv-0.6.24/ext/repo_rpmdb.c:2085
 #10 dnf_sack_load_system_repo at /usr/src/debug/PackageKit-1.1.5-20161221/libdnf-367545629cc01a8e622890d89bd13d062ce60d7b/libdnf/dnf-sack.c:1311
 #11 dnf_utils_create_sack_for_filters at pk-backend-dnf.c:705
 #12 pk_backend_search_thread at pk-backend-dnf.c:941
 #13 pk_backend_job_thread_setup at pk-backend-job.c:813

Comment 1 Juan Orti 2017-01-10 11:20:43 UTC
Created attachment 1239048 [details]
File: backtrace

Comment 2 Juan Orti 2017-01-10 11:20:44 UTC
Created attachment 1239049 [details]
File: cgroup

Comment 3 Juan Orti 2017-01-10 11:20:46 UTC
Created attachment 1239050 [details]
File: core_backtrace

Comment 4 Juan Orti 2017-01-10 11:20:48 UTC
Created attachment 1239051 [details]
File: dso_list

Comment 5 Juan Orti 2017-01-10 11:20:49 UTC
Created attachment 1239052 [details]
File: environ

Comment 6 Juan Orti 2017-01-10 11:20:50 UTC
Created attachment 1239053 [details]
File: limits

Comment 7 Juan Orti 2017-01-10 11:20:52 UTC
Created attachment 1239054 [details]
File: maps

Comment 8 Juan Orti 2017-01-10 11:20:54 UTC
Created attachment 1239055 [details]
File: mountinfo

Comment 9 Juan Orti 2017-01-10 11:20:55 UTC
Created attachment 1239056 [details]
File: namespaces

Comment 10 Juan Orti 2017-01-10 11:20:57 UTC
Created attachment 1239057 [details]
File: open_fds

Comment 11 Juan Orti 2017-01-10 11:20:58 UTC
Created attachment 1239058 [details]
File: proc_pid_status

Comment 12 Juan Orti 2017-01-10 11:20:59 UTC
Created attachment 1239059 [details]
File: var_log_messages

Comment 13 Juan Orti 2017-02-01 10:29:10 UTC
Similar problem has been detected:

pkcon search sublime

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repodata_add_dirnumnum
executable:     /usr/libexec/packagekitd
global_pid:     2669
kernel:         4.9.5-200.fc25.x86_64
package:        PackageKit-1.1.5-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         packagekitd killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0

Comment 14 Itzik Ephraim 2017-02-20 18:21:32 UTC
`abrt` rejected my error report "because the backtrace is unusable", but I did some limited debugging of my own, and found a few clues that might be helpful in narrowing down the root cause:

1. I've found some earlier `packagekitd` bug that had to do with distribution updates and 'Exclude=' entries. I have none in my repositories' configuration.

2. `dnf clean all` didn't change anything.

3. The same problem persisted after moving (a) most, except the base Fedora repositories and (b) all of the .repo files out of `/etc/yum.repos.d/`, and multiple cycles of `dnf update`/`pkcon refresh` (`dnf` releases the leftover locks after a `packagekitd` crash).

4. Incidentally, the repository that was handled while the crash happened was the virtual(?) '@System' repository.

5. `dnf list installed | grep @System` returned the following list:
aksusbd.i386                       7.40-1                       @System
geoclue.x86_64                     0.12.99-8.fc23               @System
libmusicbrainz.x86_64              2.1.5-20.fc23                @System
libsilc.x86_64                     1.1.10-14.fc23               @System
shared-desktop-ontologies.noarch   0.11.0-4.fc23                @System
telepathy-haze.x86_64              0.8.0-3.fc22                 @System
telepathy-salut.x86_64             0.8.1-8.fc23                 @System

Only two of these I remember installing directly. The others are a bit of a mystery to me, but none of these seem relevant to me in my daily use.
So I removed these packages (very little dependencies had to be removed, and nothing worrying), but the problem remains. `pkcon refresh` leads to SIGABRT. Another `dnf clean all` didn't help either.

Comment 15 Itzik Ephraim 2017-02-20 18:30:45 UTC
(In reply to Itzik Ephraim from comment #14)
> `abrt` rejected my error report "because the backtrace is unusable", but I
> did some limited debugging of my own, and found a few clues that might be
> helpful in narrowing down the root cause:
> 
> 1. I've found some earlier `packagekitd` bug that had to do with
> distribution updates and 'Exclude=' entries. I have none in my repositories'
> configuration.
> 
> 2. `dnf clean all` didn't change anything.
> 
> 3. The same problem persisted after moving (a) most, except the base Fedora
> repositories and (b) all of the .repo files out of `/etc/yum.repos.d/`, and
> multiple cycles of `dnf update`/`pkcon refresh` (`dnf` releases the leftover
> locks after a `packagekitd` crash).
> 
> 4. Incidentally, the repository that was handled while the crash happened
> was the virtual(?) '@System' repository.
> 
> 5. `dnf list installed | grep @System` returned the following list:
> aksusbd.i386                       7.40-1                       @System
> geoclue.x86_64                     0.12.99-8.fc23               @System
> libmusicbrainz.x86_64              2.1.5-20.fc23                @System
> libsilc.x86_64                     1.1.10-14.fc23               @System
> shared-desktop-ontologies.noarch   0.11.0-4.fc23                @System
> telepathy-haze.x86_64              0.8.0-3.fc22                 @System
> telepathy-salut.x86_64             0.8.1-8.fc23                 @System
> 
> Only two of these I remember installing directly. The others are a bit of a
> mystery to me, but none of these seem relevant to me in my daily use.
> So I removed these packages (very little dependencies had to be removed, and
> nothing worrying), but the problem remains. `pkcon refresh` leads to
> SIGABRT. Another `dnf clean all` didn't help either.

Forgot to mention:
Fedora 25
Kernel: 4.9.9-200.fc25.x86_64
PackageKit.x86_64        1.1.5-1.fc25                                                                                          
libsolv.x86_64           0.6.26-1.fc25
hawkey.x86_64            0.6.3-6.2.fc25
python3-hawkey.x86_64    0.6.3-6.2.fc25
dnf.noarch               1.1.10-5.fc25                                                                                                                                                                                 
python3-dnf.noarch       1.1.10-5.fc25

Comment 16 Itzik Ephraim 2017-02-20 18:52:31 UTC
OK, I have some progress here. It's actually solved for me now, but I did too many things at once and now I don't know what it was exactly:

1. Removed the @System packages (see Comment #15).
2. `dnf clean all`
3. `dnf update --refresh`
4. `rpmdb --rebuilddb`

5. `pkcon -p -v refresh`
No errors!

(To be accurate, I ran all of the above with `sudo`)

Comment 17 Bruno Rocha 2017-02-25 00:18:00 UTC
I was getting the following error on the Updates widget:

"The task was forcibly canceled The task was canceled successfully and no packages were changed.
The backend did not exit cleanly."

Solved with 'rpmdb --rebuilddb'.

Comment 18 Fedora End Of Life 2017-11-16 15:11:16 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2017-12-12 10:09:20 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.